<template>
  <div>
    <checkout-jumbotron/>
    
    <ul role="list" class="mx-auto max-w-7xl divide-y divide-gray-200">
      <app-basket-item
        v-for="(item, index) in basket"
        :key="index"
        :basket-item="item"
      />
    </ul>

    <div class="mx-auto max-w-7xl">
      <div class="border-t border-gray-200">
        <dl>
          <div class="bg-white px-4 py-5 sm:grid sm:grid-cols-3 sm:gap-4 sm:px-6">
            <dt class="text-sm font-medium text-gray-500">{{ $t('common.comment') }}</dt>
            <dd class="mt-1 text-sm text-gray-900 sm:col-span-2 sm:mt-0">
              <app-header-address-selector/>
            </dd>
          </div>
          <div class="bg-gray-50 px-4 py-5 sm:grid sm:grid-cols-3 sm:gap-4 sm:px-6">
            <dt class="text-sm font-medium text-gray-500">{{ $t('common.restaurant') }}</dt>
            <dd class="mt-1 text-sm text-gray-900 sm:col-span-2 sm:mt-0">Margot Foster</dd>
          </div>
          <div
            class="bg-white px-4 py-5 sm:grid sm:grid-cols-3 sm:gap-4 sm:px-6"
            v-if="selectedAddress"
          >
            <dt class="text-sm font-medium text-gray-500">{{ $t('delivery.address') }}</dt>
            <dd class="mt-1 text-sm text-gray-900 sm:col-span-2 sm:mt-0">{{ selectedAddress.title }}</dd>
          </div>
          <div class="bg-gray-50 px-4 py-5 sm:grid sm:grid-cols-3 sm:gap-4 sm:px-6">
            <dt class="text-sm font-medium text-gray-500">{{ $t('delivery.cost') }}</dt>
            <dd class="mt-1 text-sm text-gray-900 sm:col-span-2 sm:mt-0">margotfoster@example.com</dd>
          </div>
          <div class="bg-white px-4 py-5 sm:grid sm:grid-cols-3 sm:gap-4 sm:px-6">
            <dt class="text-sm font-medium text-gray-500">Salary expectation</dt>
            <dd class="mt-1 text-sm text-gray-900 sm:col-span-2 sm:mt-0">{{totalPrice}} ֏</dd>
          </div>
          <div class="bg-gray-50 px-4 py-5 sm:grid sm:grid-cols-3 sm:gap-4 sm:px-6">
            <dt class="text-sm font-medium text-gray-500">{{ $t('delivery.time') }}</dt>
            <dd class="mt-1 text-sm text-gray-900 sm:col-span-2 sm:mt-0">20-30 мин</dd>
          </div>
          <div class="bg-white px-4 py-5 sm:grid sm:grid-cols-3 sm:gap-4 sm:px-6">
            <dt class="text-sm font-medium text-gray-500">{{ $t('common.comment') }}</dt>
            <dd class="mt-1 text-sm text-gray-900 sm:col-span-2 sm:mt-0">
              <textarea
                class="rounded-md border border-gray-200 w-full"
              ></textarea>
            </dd>
          </div>
        </dl>
      </div>

      <app-button
        class="w-full"
        @click="handleCreateOrder"
      >
        Заказать
      </app-button>
    </div>
  </div>
</template>

<script setup lang="ts">
  import { useDeliveryAddress } from '~/composable/delivery/useDeliveryAddress'
  import { useCreateOrder } from '~/composable/order/useCreateOrder'
  import { useBasket } from '~/composable/useBasket'

  definePageMeta({
    middleware: ['checkout'],
  })

  const router = useRouter()
  const {createOrder} = useCreateOrder()
  const {basket, totalPrice} = useBasket()
  const { selectedAddress } = useDeliveryAddress()

  const handleCreateOrder = async () => {
    const order = await createOrder()

    router.replace(order.page.link)
  }
</script>
